# Generated from saper-0.5.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name saper

Name: rubygem-%{gem_name}
Version: 0.5.3
Release: 1%{?dist}
Summary: Ruby data scraping library
License: MIT
URL: https://github.com/merimond/saper
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.2.0
# BuildRequires: rubygem(rspec) < 3.3
# BuildRequires: rubygem(guard-rspec) >= 4.5.0
# BuildRequires: rubygem(guard-rspec) < 4.6
# BuildRequires: rubygem(yard) >= 0.8.7
# BuildRequires: rubygem(yard) < 0.9
BuildArch: noarch

%description
Web automation library that allows to crawl websites and extract data in an
efficient and fault-tolerant manner.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/saper
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec

%changelog
* Wed Apr 20 2022 mockbuilder - 0.5.3-1
- Initial package
